For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Join CommunityStart Trading
HomeOverviewTradingRisk & LiquidationsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
HomeOverviewTradingRisk & LiquidationsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
  • General Information
    • Server Location
    • Server URLs
    • Quick Start
    • Authentication
    • Rate Limits
    • Benchmarks
    • API Authentication
    • API Best Practices
  • Production API Reference
  • Testnet API Reference
        • GETGet open orders
        • POSTCreate order
        • DELCancel all open orders
        • GETGet orders
        • POSTCreate batch of orders
        • DELCancel batch of orders by order IDs
        • GETGet order by client id
        • DELCancel open order by client order id
        • GETGet order
        • PUTModify order
        • DELCancel order
  • Useful Resources
    • Paradex Github
    • Paradex CLI
    • Code Samples
    • Python SDK
    • CCXT Integration
Join CommunityStart Trading
Testnet API ReferenceOrders

Create batch of orders

POST
https://api.testnet.paradex.trade/v1/orders/batch
POST
/v1/orders/batch
$curl -X POST https://api.testnet.paradex.trade/v1/orders/batch \
>-H 'Content-Type: application/json' \
>-H 'Accept: application/json' \
>-H 'Authorization: Bearer {JWT}'
1{
2 "errors": [
3 {
4 "error": "VALIDATION_ERROR",
5 "message": "string"
6 }
7 ],
8 "orders": [
9 {
10 "account": "0x4638e3041366aa71720be63e32e53e1223316c7f0d56f7aa617542ed1e7512x",
11 "avg_fill_price": "26000",
12 "cancel_reason": "NOT_ENOUGH_MARGIN",
13 "client_id": "x1234",
14 "created_at": 1681493746016,
15 "flags": [
16 "REDUCE_ONLY"
17 ],
18 "id": "123456",
19 "instruction": "GTC",
20 "last_updated_at": 1681493746016,
21 "market": "BTC-USD-PERP",
22 "price": "26000",
23 "published_at": 1681493746016,
24 "received_at": 1681493746016,
25 "remaining_size": "0",
26 "request_info": {
27 "id": "string",
28 "message": "string",
29 "request_type": "string",
30 "status": "string"
31 },
32 "seq_no": 1681471234972000000,
33 "side": "BUY",
34 "size": "0.05",
35 "status": "NEW",
36 "stp": "EXPIRE_MAKER",
37 "timestamp": 1681493746016,
38 "trigger_price": "26000",
39 "type": "MARKET"
40 }
41 ]
42}
Place a batch of orders + Valid batch size is between 1-10 order(s) + If basic validation(including signature) fails - all orders will be rejected. + Orders are queued for risk checking independently and failure of one order doesn't affect processing of another order.
Was this page helpful?
Previous

Cancel batch of orders by order IDs

Next
Built with

Place a batch of orders

  • Valid batch size is between 1-10 order(s)
  • If basic validation(including signature) fails - all orders will be rejected.
  • Orders are queued for risk checking independently and failure of one order doesn’t affect processing of another order.

Authentication

Authorizationstring
API Key authentication via header

Request

Order content
instructionenumRequired

Order Instruction, GTC, IOC, RPI or POST_ONLY if empty GTC

Allowed values:
marketstringRequired
Market for which order is created
pricestringRequired
Order price
sideenumRequired
Order side
Allowed values:
signaturestringRequired

Order signature in as a string “[r,s]” signed by account’s paradex private key

signature_timestampintegerRequired
Unix timestamp in milliseconds of order creation, used for signature verification
sizestringRequired
Size of the order
typeenumRequired
Order type
client_idstringOptional<=64 characters
Unique client assigned ID for the order
flagslist of enumsOptional

Order flags, allow flag: REDUCE_ONLY

Allowed values:
on_behalf_of_accountstringOptional
ID corresponding to the configured isolated margin account. Only for isolated margin orders
recv_windowintegerOptional
Order will be created if it is received by API within RecvWindow milliseconds from signature timestamp, minimum is 10 milliseconds
stpstringOptional

Self Trade Prevention, EXPIRE_MAKER, EXPIRE_TAKER or EXPIRE_BOTH, if empty EXPIRE_TAKER

trigger_pricestringOptional
Trigger price for stop order
vwap_pricestringOptional
Optional VWAP price for market orders used for VWAP instruction, bounded by price band

Response

Created
errorslist of objects
orderslist of objects

Errors

400
Bad Request Error